Subject: our first CLR

From: Andy Bierman <[email-masked]>
Date: Fri, 30 Jun 2006 17:03:54 -0700

Hi,

Didn't anybody notice that the protocol spec makes a big
deal about a mandatory message-id (and I made a big deal
about limiting its length), but it isn't used anywhere
in the document in a normative manner?

Nope.  We took out the only operation that depended on
the message-id attribute a couple years ago. 

The agent totally ignores this attribute except to
check if needs to generate an error if it is missing.

If that isn't the essence of a Crappy Little Rule,
I don't know what is.  (I know, we may need the
message-id someday, but not now.)

Andy

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>